pappso::PeptideSpSinkInterface Class Referenceabstract

`#include <enzymeproductinterface.h>`

Inheritance diagram for pappso::PeptideSpSinkInterface:

## Public Member Functions

virtual void | setSink (PeptideModificatorInterface *sink)=0

## Detailed Description

Definition at line 107 of file enzymeproductinterface.h.

## Member Function Documentation

## setSink()

virtual void pappso::PeptideSpSinkInterface::setSink | ( | PeptideModificatorInterface * | sink | ) |

pure virtual

Implemented in pappso::PeptideVariableModificationBuilder, pappso::PeptideModificatorPipeline, pappso::PeptideFixedModificationBuilder, and pappso::PeptideBuilder.

Referenced by pappso::PeptideModificatorPipeline::addLabeledModificationString(), pappso::PeptideModificatorPipeline::parseFixedModification(), pappso::PeptideModificatorPipeline::parseLabeledModification(), pappso::PeptideModificatorPipeline::parsePotentialModification(), and pappso::PeptideModificatorPipeline::setSink().

The documentation for this class was generated from the following file:

- pappsomspp/protein/enzymeproductinterface.h